Bug 215934 - statically linked stringprep implementation
statically linked stringprep implementation
Product: Fedora
Classification: Fedora
Component: libsilc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stu Tomlinson
Fedora Extras Quality Assurance
Depends On:
Blocks: 216170
  Show dependency treegraph
Reported: 2006-11-16 08:11 EST by Joe Orton
Modified: 2008-01-26 10:43 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.1.5-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-26 10:43:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2006-11-16 08:11:04 EST
Description of problem:
libsilc appears to have a statically linked copy of the stringprep
implementation from libidn which isn't namespace-protected:

jorton@jolt:~$ nm -D /usr/lib/libsilc.so  | grep stringprep
0000f9b0 T stringprep
0000f2c0 T stringprep_4i
0000fc00 T stringprep_4zi

this should either be namespace-protected properly, or (ideally) libsilc should
just link against libidn for stringprep support.
Comment 1 Joe Orton 2006-11-17 07:49:09 EST
Complete list of global symbol conflicts from this library:

Clashes for /usr/lib/libsilc-1.0.so.2.4.1:
  with /usr/lib/libidn.so.11.5.19 => stringprep_rfc3454_B_2
stringprep_rfc3454_B_3 (...23 symbols omitted...) stringprep_rfc3454_A_1
  with /usr/lib/libpisock.so.8.0.5 => MD5Transform MD5Init MD5Update MD5Final
  with /usr/lib/libgs.so.8.15 => mem_close mem_open
  with /usr/lib/libncp.so.2.3.0 => mp_div mp_mod mp_neg mp_init
Comment 2 Stu Tomlinson 2008-01-26 10:43:37 EST
libsilc in rawhide now links against libidn for stringprep support, and I
believe the other conflicts have been resolved upstream some time ago so this
should all be fixed in rawhide now.

Note You need to log in before you can comment on or make changes to this bug.